// c4Light.h: interface for the c4Light class.
//
//////////////////////////////////////////////////////////////////////
#pragma once
#include "c4PointC.h"

/*
Notes on the light class.
It is a virtuality; that is, it will only exist in software, and modify the vertexes.
*/

class c4Light :public c4PointC 
{
	
public:
	void Switch(bool flip);
	c4Light(float lum, float size);
	//Returns the lighted value from the vert.
	c4PointC Light(c4PointC vert);
	bool on;		//guess...	
	int type;		//Type of light. Not like OGL ! Each light is of a particular kind !
	Vector4 spotdir;//Directon of light, if spot
	float absbright;//
	float size;		//size of the light

	c4Light();
	virtual ~c4Light();

	

	//Global. Everywhere.
	//Omni.	Attenuated from a point.
	//Spot. In a direction. Ideally, it would be in a separate class.
private:
	float Blend(float c1, float c2);
};
typedef c4Light Light;


